config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.apparmor.new
config etc/apparmor/easyprof.conf.new
config etc/apparmor/logprof.conf.new
config etc/apparmor/notify.conf.new
config etc/apparmor/parser.conf.new
config etc/apparmor/subdomain.conf.new
config etc/apparmor/severity.db.new
( cd usr/lib64 ; rm -rf libapparmor.so )
( cd usr/lib64 ; ln -sf libapparmor.so.1.6.2 libapparmor.so )
( cd usr/lib64 ; rm -rf libapparmor.so.1 )
( cd usr/lib64 ; ln -sf libapparmor.so.1.6.2 libapparmor.so.1 )
( cd usr/man/man8 ; rm -rf apparmor_status.8.gz )
( cd usr/man/man8 ; ln -sf aa-status.8.gz apparmor_status.8.gz )
( cd usr/sbin ; rm -rf apparmor_status )
( cd usr/sbin ; ln -sf aa-status apparmor_status )
